Last modified: 2013-09-02 03:38:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 25199 - Please show amount of text added/removed, in green/red, on history and user contributions pages
Please show amount of text added/removed, in green/red, on history and user c...
Status: VERIFIED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.17.x
All All
: Low enhancement with 3 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
:
: 24419 (view as bug list)
Depends on:
Blocks: css
  Show dependency treegraph
 
Reported: 2010-09-17 04:08 UTC by Jason Spiro
Modified: 2013-09-02 03:38 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jason Spiro 2010-09-17 04:08:06 UTC
Hi.  "Recent changes" and watchlists show the amount of text added/removed in green/red.[1]  But "View history" only shows the total amount of text in each revision, and "User contributions" shows no amount information at all.

It would be more useful to see amounts added/removed on all three of these pages, instead of just one.[2][3]  This way, we'd instantly know which edits are additions, which are removals, which are big, and which are small.

And on "View history", it would be even more useful to see both the amount added/removed and the new total, like this:  "+ 100 = 1,100 bytes".  This way, we'd be able to more easily check that every malicious blanking of a page that's ever happened has been fully undone.  This would be useful on [[en:Labor Ready]] for example.

^  [1].  http://en.wikipedia.org/wiki/Wikipedia:Added_or_removed_characters
^  [2].  http://thread.gmane.org/gmane.science.linguistics.wikipedia.technical/48841
^  [3].  [[fr:User:The RedBurn]] has already written a gadget that shows amount added/removed on all history pages you view.  It doesn't affect contribs pages.  To enable it, edit [[Special:MyPage/skin.js]] and add all this on one line:
            importScriptURI('http://fr.wikipedia.org/w/index.php?title=MediaWiki:Gadget-HistoryNumDiff.js&action=raw&ctype=text/javascript');
Comment 1 Jason Spiro 2010-09-17 04:08:30 UTC
You might think this shouldn't be implemented until after bug 25198 ("Please display revision length in characters, not bytes, in history and Recent Changes").  But I think this would be useful even if bug 25198 were never implemented.
Comment 2 Chad H. 2010-09-17 13:48:00 UTC
Adding this to history pages is a dupe of bug 24419.
Comment 3 DieBuche 2010-12-04 23:30:38 UTC
*** Bug 24419 has been marked as a duplicate of this bug. ***
Comment 4 Mikael Häggström 2011-03-15 17:35:58 UTC
This requested feature is available if going to your Preferences, and, in the section "User interface gadgets", activating "HistoryNumDiff shows the number of characters added or removed, rather than the size of the revision."

However, I'd still like to have the option to see BOTH the size and the difference.
Comment 5 FT2 2011-03-15 18:01:35 UTC
+1 to the option of seeing both.

Copying from bug 24419:

Revision size and revision bytes change are _both_ extremely useful, giving a
good "quick idea" of a page's history or a user's pattern of contributing,
especially on talk pages where size change helps to visually identify
reductions in page size, often signs of vandalism, removal of comments,
archiving, etc which are of interest.

I'd like to see page size as SIZE bytes (+/-CHANGE) on both contribs and
history. A revision that is 10000 bytes in size and a reduction of 100 bytes
from the previous revision would be shown as 10000 bytes (-100) with the -100
in bold red for visual ease. 

Also some kind of higher visibility tag, like a symbol next to the byte field,
for larger additions/removals (say > 400 bytes?). It can be useful to quickly
see the key points in a talk or project page history where significant
additions or removals happened, and in a user's contributions which edits were
of that kind.
Comment 6 Mikael Häggström 2011-03-16 06:09:07 UTC
Agree with FT2 above. The difference matters at least as much as size.
Comment 7 Krinkle 2011-03-16 18:00:13 UTC
(In reply to comment #4)
> This requested feature is available if going to your Preferences, and, in the
> section "User interface gadgets", activating "HistoryNumDiff

That only works on en.wikipedia and requires a piece of JavaScript. Not a fix for this request to add it in MediaWiki software itself.

What that gadget does or doesn't do shouldn't be topic of this ticket, although it can be used as inspiration and/or suggestion for implementation method, it's not part of the software.

It hasn't been added to core at all right now, so if/when it will be added the size will most likely not be removed.
Comment 8 Mikael Häggström 2011-03-16 19:00:15 UTC
Ok, that explains why nothing happened after I checked that box.
Comment 9 Platonides 2011-03-16 21:56:05 UTC
What should be the interface?

Something like this?
19:57, 9 March 2011 Krinkle (talk | contribs) m (5,244 bytes | -1 bytes ) Edit summary
Comment 10 FT2 2011-03-17 10:55:33 UTC
19:57, 9 March 2011 Krinkle (talk | contribs) m 5,244 bytes (-100) Edit
summary

No need to repeat "bytes" and the layout is possibly more intuitive ("SIZE bytes" is easily understood and if given, then "(+/- DIFFSIZE)" will be fairly intuitive)
Comment 11 db [inactive,noenotif] 2012-02-19 19:09:39 UTC
fixed by r100722
Comment 12 Jason Spiro 2013-09-02 03:38:51 UTC
Thank you very much!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links